ERE_DIR=vlead-ere
ERE=ere

INFRA=~/tmp/experiments

CATALOG=vlead-docs
THEME=readtheorg

CATALOGS_DIR=${INFRA}/catalogs
CATALOG_REPO=https://gitlab.com/vlead-projects/infra/catalogs/${CATALOG}.git
CATALOG_BRANCH=master

.ONESHELL:
install-catalog:;
	mkdir -p ${CATALOGS_DIR}
	cd ${CATALOGS_DIR}
	if [ -d ${CATALOG} ]; then
		echo "${CATALOG} is already present"
		(cd ${CATALOG}; git checkout ${CATALOG_BRANCH}; git pull origin ${CATALOG_BRANCH})
	else
		git clone -b ${CATALOG_BRANCH} ${CATALOG_REPO}
	fi


install-infra: install-catalog
	cd ${CATALOGS_DIR}/${catalog}
	make -k install-infra
